App::Pinto::Command::new(3pm)

NAME
App::Pinto::Command::new - create a new empty stack

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT new [OPTIONS] STACK

DESCRIPTION
This command creates a new empty stack.

See the copy command to create a new stack from another one, or the props command to change a stack's properties after it has been created.

COMMAND ARGUMENTS
The required argument is the name of the stack you wish to create. Stack names must be alphanumeric plus hyphens and underscores, and are not case sensitive.

COMMAND OPTIONS

--default
    Also mark the new stack as the default stack.

--description=TEXT
-d TEXT
    Use TEXT for the description of the stack.

--target-perl-version=VERSION
--tpv=VERSION
    Sets the target perl version for the stack. Pinto never pulls distributions for prerequisites that are satisfied by the core of the target perl version. VERSION must be a valid version number for an existing release of perl 5. Defaults to the global target Perl version of this repository.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.